# geos::noding::FastSegmentSetIntersectionFinder Class Reference

Finds if two sets of SegmentStringss intersect. More...

`#include <FastSegmentSetIntersectionFinder.h>`

List of all members.

## Public Member Functions

| FastSegmentSetIntersectionFinder (SegmentString::ConstVect *baseSegStrings)
SegmentSetMutualIntersector * | getSegmentSetIntersector ()
bool | intersects (SegmentString::ConstVect *segStrings)
bool | intersects (SegmentString::ConstVect *segStrings, SegmentIntersectionDetector *intDetector)

## Detailed Description

Finds if two sets of SegmentStringss intersect.

Uses indexing for fast performance and to optimize repeated tests against a target set of lines. Short-circuited to return as soon an intersection is found.

Version:
  1.7

## Member Function Documentation

SegmentSetMutualIntersector* geos::noding::FastSegmentSetIntersectionFinder::getSegmentSetIntersector | ( | ) | `[inline]`

Gets the segment set intersector used by this class. This allows other uses of the same underlying indexed structure.

Returns:
  the segment set intersector used

The documentation for this class was generated from the following file:

- FastSegmentSetIntersectionFinder.h